Update envelope
PUT/restapi/v2.1/accounts/:accountId/envelopes/:envelopeId
Update envelope status (void, send), reminder and expiration settings, or resend the signing notification. The optional notification object uses the same settings as PUT /envelopes/{envelopeId}/notification. Invalid settings are rejected before any updates or notifications are sent. Expiration starts when a draft is sent.
With resend_envelope=true, the notification is re-sent to the recipients whose turn it is and the envelope status is unchanged. Embedded recipients (those with a clientUserId) are not emailed. Envelopes that are not in progress return a 400.
Request
Responses
- 200
- 400
- 401
- 403
Envelope updated successfully
Response Headers
Correlation id for this request, returned on every response (success and error). Quote it when contacting support to pinpoint the exact request, and use it to correlate your own logs. It is the same 128-bit id as the trace-id segment of the traceparent header.
W3C Trace Context identifier for this request, returned on every response. Send your own traceparent on a request to have it adopted, so a multi-call workflow shares one trace. Format: 00-<32-hex trace-id>-<16-hex span-id>-<2-hex flags>.
Invalid request
Response Headers
Correlation id for this request, returned on every response (success and error). Quote it when contacting support to pinpoint the exact request, and use it to correlate your own logs. It is the same 128-bit id as the trace-id segment of the traceparent header.
W3C Trace Context identifier for this request, returned on every response. Send your own traceparent on a request to have it adopted, so a multi-call workflow shares one trace. Format: 00-<32-hex trace-id>-<16-hex span-id>-<2-hex flags>.
Unauthorized
Response Headers
Correlation id for this request, returned on every response (success and error). Quote it when contacting support to pinpoint the exact request, and use it to correlate your own logs. It is the same 128-bit id as the trace-id segment of the traceparent header.
W3C Trace Context identifier for this request, returned on every response. Send your own traceparent on a request to have it adopted, so a multi-call workflow shares one trace. Format: 00-<32-hex trace-id>-<16-hex span-id>-<2-hex flags>.
Forbidden - missing required scope
Response Headers
Correlation id for this request, returned on every response (success and error). Quote it when contacting support to pinpoint the exact request, and use it to correlate your own logs. It is the same 128-bit id as the trace-id segment of the traceparent header.
W3C Trace Context identifier for this request, returned on every response. Send your own traceparent on a request to have it adopted, so a multi-call workflow shares one trace. Format: 00-<32-hex trace-id>-<16-hex span-id>-<2-hex flags>.